Delete a service account
DELETE
/v1/oauth/clients/{id}
const url = 'https://api.adversarial.com/api/v1/oauth/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {cookie: 'arm-session=<arm-session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.adversarial.com/api/v1/oauth/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --cookie arm-session=<arm-session>Permanently removes the service account and its credentials. Tokens already issued to it stop being accepted.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
OAuth client ID
Responses
Section titled “Responses”OAuth client deleted
Unauthorized
Forbidden
Not found